package com.slodon.b2b2c.vo.video;

import com.slodon.b2b2c.video.pojo.SvideoTheme;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 *
 * 封装推荐主题VO对象
 * @author wuxy
 */
@Data
public class RecommendThemeVO implements Serializable {

    private static final long serialVersionUID = -9174811893443617616L;
    @ApiModelProperty("主题id")
    private Integer themeId;

    @ApiModelProperty("主题名称")
    private String themeName;

    @ApiModelProperty("排序:0-255,0表示最前")
    private Integer sort;

    @ApiModelProperty("是否显示0:不显示，1显示")
    private Integer isShow;

    @ApiModelProperty("绑定视频数量")
    private Integer videoNum;

    @ApiModelProperty("标签id")
    private Integer labelId;

    @ApiModelProperty("标签名称")
    private String labelName;

    public RecommendThemeVO(SvideoTheme svideoTheme) {
        this.themeId = svideoTheme.getThemeId();
        this.themeName = svideoTheme.getThemeName();
        this.sort = svideoTheme.getSort();
        this.isShow = svideoTheme.getIsShow();
        this.videoNum = svideoTheme.getVideoNum();
        this.labelId = svideoTheme.getLabelId();
        this.labelName = svideoTheme.getLabelName();
    }
}
